Get Wallets
curl --request GET \
--url https://testapi.kravata.co/api/wallets/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/wallets/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/wallets/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "0e5404d7-d679-4e07-bfc1-3a8fe22d3621",
"wallet": "34567765432",
"supportedToken": {
"name": "USDT",
"status": "true"
},
"supportedNetwork": {
"name": "ERC20",
"status": "true"
},
"supportedCustodian": {
"name": "Binance",
"code": "BI",
"status": "true"
},
"status": "in_review",
"registerDate": "2024-04-25 21:34:06.657977",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
},
{
"id": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"wallet": "0x00012c8cf97bead5deae237070f9587f8e7a266d",
"supportedToken": {
"name": "USDC",
"status": "true"
},
"supportedNetwork": {
"name": "ERC20",
"status": "true"
},
"supportedCustodian": {
"name": "Binance",
"code": "BI",
"status": "true"
},
"status": "accepted",
"registerDate": "2023-10-24 23:07:16.141298",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
}
]Wallets
Get Wallets
Get Wallet Details
By consuming this endpoint you can retrieve the details, status and IDs of your registered Wallets. The ID of the chosen wallet is necessary to place your order. Before doing so, please make sure the wallet status is “accepted”.
Log in to our front-end interface to register a new Wallet.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
| clientID | URL | Yes | Include your assigned ID in the URL, obtainable through the Get infoClient endpoint. |
Response
The response for this request is a JSON object representing the wallet details.
| Field | Description |
|---|---|
| id | This is a unique identifier for each Wallet registered. |
| wallet | This is the digital Wallet address you registered. Please, make sure all characters are correct when registering Wallets, and submitting orders. |
| status | This status corresponds to the status determined after the registration and compliance review have been completed. To operate with this Wallet, it must appear as “accepted”. |
| supportedToken | This is the Token your wallet was issued for. Please, make sure it matches the token your digital Wallet supports when registering it and submitting orders. |
| supportedNetwork | This is the Network your wallet was issued for. Please, make sure it matches the network your digital Wallet supports when registering it and submitting orders. |
| supportedCustodian | This is the custodian your wallet which issued your wallet. If it is a decentralized wallet, when registering it, you can choose this option as “sin custodio/ descentralizada”. |
| registerDate | This is the date when you registered your wallet with us. |
| userID | The unique identifier of the account owner. It should be the same as your assigned id, since we are operating through a B2B service model. |
GET
/
api
/
wallets
/
{clientId}
Get Wallets
curl --request GET \
--url https://testapi.kravata.co/api/wallets/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/wallets/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/wallets/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "0e5404d7-d679-4e07-bfc1-3a8fe22d3621",
"wallet": "34567765432",
"supportedToken": {
"name": "USDT",
"status": "true"
},
"supportedNetwork": {
"name": "ERC20",
"status": "true"
},
"supportedCustodian": {
"name": "Binance",
"code": "BI",
"status": "true"
},
"status": "in_review",
"registerDate": "2024-04-25 21:34:06.657977",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
},
{
"id": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"wallet": "0x00012c8cf97bead5deae237070f9587f8e7a266d",
"supportedToken": {
"name": "USDC",
"status": "true"
},
"supportedNetwork": {
"name": "ERC20",
"status": "true"
},
"supportedCustodian": {
"name": "Binance",
"code": "BI",
"status": "true"
},
"status": "accepted",
"registerDate": "2023-10-24 23:07:16.141298",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
}
]Authorizations
Access token from POST /api/token (valid 5 minutes).

